﻿using Steema.TeeChart;
using Steema.TeeChart.Animations;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Export;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Globalization;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
      InitializeChart();
    }

    TChart tChart1;
    Bar series;

    private void CreateChart(bool usetheme = true)
    {
      tChart1 = new TChart(usetheme);
      tChart1.Dock = DockStyle.Fill;
      splitContainer1.Panel2.Controls.Add(tChart1);
    }

    private string Version()
    {
      string version = typeof(Chart).Assembly.GetName().Version.ToString();
      if (version.Length == 13)
        version = version.Insert(9, "0");
      return version;
    }

    private void InitializeChart()
    {
      CreateChart(false);

      tChart1.Aspect.View3D = false;
      series = new Bar(tChart1.Chart);

      Random rnd = new Random();

      for (int i = 0; i < 10; i++)
      {
        series.Add(rnd.Next(500, 600));
      }

      tChart1.Header.Text = Version();
    }


    private void TChart1_MouseMove(object sender, MouseEventArgs e)
    {
      int index = series.Clicked(e.X, e.Y);

      tChart1.Header.Text = index > -1 ? "Bar CLICKED index: " + index : "Bar NOT clicked";
    }



    private void button2_Click(object sender, EventArgs e)
    {

    }


    //private void InitializeChart()
    //{
    //  FastLine series = new FastLine(tChart1.Chart);

    //  series.FillSampleValues(100000);
    //  series.DrawAllPoints = false;

    //  MarksTip tool = new MarksTip(tChart1.Chart);
    //  tool.Series = series;
    //}

    private void TChart1_AfterDraw(object sender, Steema.TeeChart.Drawing.Graphics3D g)
    {

    }

    private void TChart1_GetAxisLabel(object sender, GetAxisLabelEventArgs e)
    {
      
    }


    private void button3_Click(object sender, EventArgs e)
    {

    }




    private void button1_Click(object sender, EventArgs e)
    {
      tChart1.Export.Image.PNG.Save(@"D:\FTP\" + "TChart" + DateTime.UtcNow.Ticks.ToString() + ".png");
    }

    private void Form1_Load(object sender, EventArgs e)
    {

    }
  }
}
